# getBlocksWithLimit

Returns a list of confirmed blocks starting at the given slot.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `start_slot` string *<mark style="color:red;">Required</mark>*. The start slot encoded as an u64 integer.
* `limit` string *<mark style="color:red;">Required</mark>*. The limit encoded as u64, 64-bit unsigned integer.
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
    * `confirmed` string.
      * The node will query the most recent block that has been voted on by the supermajority of the cluster.

## Returns

* `result` An array of u64 integers listing confirmed blocks between the start\_slot and either end\_slot - if provided, or latest confirmed block, inclusive. The maximum range allowed is 500,000 slots.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": [
		319942456,
		319942457,
		319942458,
		319942459,
		319942460
	],
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getBlocksWithLimit","params": [319942456,5]}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getBlocksWithLimit","params": [319942456,5]}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getblockswithlimit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
